export.client

## Class Utils

- java.lang.Object
- - export.client.Utils

-     public class Utils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `runAfterBrowserEventLoopReturns(JavaScriptObject jsFunction)` Run some Javascript code after the browser event loop returns.
    `static void` | `runAfterFixedDelay(JavaScriptObject jsFunction, int delayMS)` Run some Javascript code after the browser event loop returns.
    `static void` | `safeLog(java.lang.String msg)` console.log tested on Chrome with success On IE: the console is not available unless debugger is on: causes an exception.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### runAfterBrowserEventLoopReturns

          public static void runAfterBrowserEventLoopReturns(JavaScriptObject jsFunction)

      Run some Javascript code after the browser event loop returns. Example: JSApplet.Utils.runAfterBrowserEventLoopReturns(myFunction);
      Parameters:
        `jsFunction` - : a function defined in JavaScript such as : function(){alert("DOM update finished")};

    - #### runAfterFixedDelay

          public static void runAfterFixedDelay(JavaScriptObject jsFunction,
                                                int delayMS)

      Run some Javascript code after the browser event loop returns. Example: JSApplet.Utils.runAfterBrowserEventLoopReturns(myFunction);
      Parameters:
        `jsFunction` - : a function defined in JavaScript such as : function(){alert("DOM update finished")};

    - #### safeLog

          public static void safeLog(java.lang.String msg)

      console.log tested on Chrome with success On IE: the console is not available unless debugger is on: causes an exception. This method catches the exception and ignores it.
      Parameters:
        `msg` -